<?php

namespace App\Http\Requests\Product;

use App\Models\Product;
use Illuminate\Foundation\Http\FormRequest;

class ProductStoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'chassis_no' => [
                'required',
                'max:255'
            ], 
            'engine_no' => [
                'required',
                'max:255'
            ],            
            'price' => [
                'required',
                'integer',
                
            ],
        ];
    }

    /**
     * Get the validation fields name
     *
     * @return array
     */
    public function attributes()
    {
        return [
            'chassis_no' => 'Chassis No', 
            'engine_no' => 'Engine No', 
            'price' => __('translation.Price')
        ];
    }
}
