<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BanksOrMobiles extends Model
{
    use HasFactory;

       /**
     * Relationship to itself
     * Get the 'children' data
     *
     * @return mixed
     */
    public function accounts()
    {
        return $this->hasMany(Account::class, 'bank_or_mobile_wallet_id', 'id');
    }

      /**
     * Query to search by name from table
     *
     * @param \Illuminate\Database\Query\Builder $query
     * @param string|null $keyword
     * @return \Illuminate\Database\Query\Builder
     */
    public function scopeSearchTable($query, $keyword = null)
    {
        if (!empty($keyword)) {
            $productTable = $this->getTable();
            $query->Where('name', 'like', "%$keyword%")
                    ->orWhere('type', 'like', "%$keyword%");
        }
        return;
    }
}
