<x-app-layout>
    @section('title')
        {{ __('translation.Sales') }}
    @endsection

    @push('top_css')
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/jquery-ui-dist@1.12.1/jquery-ui.min.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/jquery-datatables-checkboxes@1.2.12/css/dataTables.checkboxes.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/sweetalert2@11.0.19/dist/sweetalert2.min.css">
        <link rel="stylesheet" href="{{ asset('css/custom_css.css') }}">
    @endpush

    @push('bottom_css')
        <link rel="stylesheet" href="{{ asset('css/datatable-custom-toolbar.css?_=' . rand()) }}">

        <style>
            .dataTable tbody tr td {
                border-width: 0px !important;
                padding-top: 1rem !important;
                padding-bottom: 1rem !important;
            }
        </style>
    @endpush
    <input type="hidden" id="payment-receipt-path" value="<?php echo asset('storage/');?>">
    <input type="hidden" id="no-img-path" value="<?php echo asset('img/No_Image_Available.jpg');?>">

    <div class="px-4 sm:px-6 lg:px-8 py-8 w-full max-w-9xl mx-auto">

            <!-- @if(session('roleName') != 'dropshipper')
                @include('partials.pages.orders.dodo_order_tab_navigation')
            @endif -->
            <p class="font-bold"> Sales List </p>
            <div class="row">
                <div class="col-lg-12">
                    <x-card.card-default>
                        <x-card.body>
                            @if(session()->has('error'))
                                <div class="alert alert-danger mb-3 background-danger" role="alert">
                                    {{ session()->get('error') }}
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                            @endif

                            @if(session()->has('success'))
                                <div class="alert alert-success mb-3 background-success" role="alert">
                                    {{ session()->get('success') }}
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                            @endif

                            <div class="flex flex-col sm:flex-row sm:justify-between items-start mb-2" id="datatableBtns">
                                <div class="w-full sm:mb-0">
                                    <div class="flex flex-col sm:flex-row">
                                        <div class="w-full sm:w-1/4 xl:ml-1 mb-1 sm:mb-0 relative -top-1">
                                            <x-input type="text" id="searchbar" placeholder="Search"></x-input>
                                        </div>

                                        <div class="w-full sm:w-1/2 flex flex-col sm:flex-row">
                                            <div class="row sm:ml-2">
                                                <a href="{{ url('order_managements/create/') }}">
                                                    <x-button class="mb-3 sm:mb-0" color="green" id="BtnInsert">
                                                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="w-3 h-3 bi bi-plus-circle" viewBox="0 0 16 16">
                                                            <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
                                                            <path d="M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4z"/>
                                                        </svg>
                                                        <span class="ml-2">Create Sale</span>
                                                    </x-button>
                                                </a>

                                                <!-- @if(session('roleName') != 'dropshipper')
                                                    <a id="bulk_shipment">
                                                        <x-button class="ml-2 mb-3 sm:mb-0" color="green" id="">
                                                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-box-seam" viewBox="0 0 16 16">
                                                                <path d="M8.186 1.113a.5.5 0 0 0-.372 0L1.846 3.5l2.404.961L10.404 2l-2.218-.887zm3.564 1.426L5.596 5 8 5.961 14.154 3.5l-2.404-.961zm3.25 1.7-6.5 2.6v7.922l6.5-2.6V4.24zM7.5 14.762V6.838L1 4.239v7.923l6.5 2.6zM7.443.184a1.5 1.5 0 0 1 1.114 0l7.129 2.852A.5.5 0 0 1 16 3.5v8.662a1 1 0 0 1-.629.928l-7.185 2.874a.5.5 0 0 1-.372 0L.63 13.09a1 1 0 0 1-.63-.928V3.5a.5.5 0 0 1 .314-.464L7.443.184z"/>
                                                            </svg>
                                                            <span class="ml-2">Batch Process</span>
                                                        </x-button>
                                                    </a>

                                                    <a id="batch_print" class="batch_print">
                                                        <x-button class="ml-2 mb-3 sm:mb-0" color="green" id="">
                                                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-printer" viewBox="0 0 16 16">
                                                                <path d="M2.5 8a.5.5 0 1 0 0-1 .5.5 0 0 0 0 1z"/>
                                                                <path d="M5 1a2 2 0 0 0-2 2v2H2a2 2 0 0 0-2 2v3a2 2 0 0 0 2 2h1v1a2 2 0 0 0 2 2h6a2 2 0 0 0 2-2v-1h1a2 2 0 0 0 2-2V7a2 2 0 0 0-2-2h-1V3a2 2 0 0 0-2-2H5zM4 3a1 1 0 0 1 1-1h6a1 1 0 0 1 1 1v2H4V3zm1 5a2 2 0 0 0-2 2v1H2a1 1 0 0 1-1-1V7a1 1 0 0 1 1-1h12a1 1 0 0 1 1 1v3a1 1 0 0 1-1 1h-1v-1a2 2 0 0 0-2-2H5zm7 2v3a1 1 0 0 1-1 1H5a1 1 0 0 1-1-1v-3a1 1 0 0 1 1-1h6a1 1 0 0 1 1 1z"/>
                                                            </svg>
                                                            <span class="ml-2">Batch Print</span>
                                                        </x-button>
                                                    </a>
                                                @endif -->
                                            </div>
                                        </div>

                                        <div class="w-full sm:w-1/4 relative -top-1 sm:justify-end" >
                                            <x-select class="text-sm" name="order-status-filter" id="order-status-filter">
                                                <option disabled value="0">- Select Status -</option>
                                                @foreach ($statusSchema as $idx => $status)
                                                    @if($idx == 0)
                                                        @foreach ($status['sub_status'] as $subStatus)
                                                            <option value="{{ $subStatus['id'] }}">
                                                                {{ $subStatus['text'] }}  ( {{ $subStatus['count'] }} )
                                                            </option>
                                                        @endforeach
                                                    @endif
                                                @endforeach
                                            </x-select>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="w-full overflow-x-auto">
                                <table class="w-full" id="__orderManagementTable">
                                    <thead>
                                    <tr class="bg-blue-500">
                                        <th class="px-4 py-2 text-white"></th>
                                        <th class="px-4 py-2 text-white text-center">
                                            {{ __('translation.Sales Data') }}
                                        </th>
                                    </tr>
                                    </thead>
                                    <tbody></tbody>
                                </table>
                            </div>
                        </x-card.body>
                    </x-card.card-default>
                </div>
            </div>
        </div>

   






    @push('bottom_js')
        <script src="{{ asset('js/jquery.validate.js') }}"></script>
        <script src="https://cdn.jsdelivr.net/npm/jquery-datatables-checkboxes@1.2.12/js/dataTables.checkboxes.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/jquery-ui-dist@1.12.1/jquery-ui.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11.0.19/dist/sweetalert2.min.js"></script>

        <script>
            const customerType = '{{ $customerType }}';
   
  
            const servicesDataUrl = '{{ route('get_services_items') }}';

            var selectedStatusIds = '{{ $defaultStatusOrderId }}';
            var selectedSubStatusIds = '';
            var orderManagementTable = '';

            const textProcessing = '{{ __('translation.Processing') }}';
            const textYesDelete = '{{ __('translation.Yes, Delete') }}';

            var totalProductPackOrder = 0;
            var totalDodoProductsOrdered = 0;



            var syncBtn = document.getElementById('datatableBtns');
            $("div.datatable_buttons").html(syncBtn);

         

            const loadOrderManagementTable = (statusIds = -1) => {
                orderManagementTable = $('#__orderManagementTable').DataTable({
                    dom: '<<"datatable_buttons"><rt>lip>',
                    bDestroy: true,
                    processing: true,
                    serverSide: true,
                    ajax: {
                        type: 'GET',
                        url: "{{ route('data order_managements') }}",
                        data: {
                            customerType: customerType,
                            status: statusIds
                        }
                    },
                    columnDefs : [
                        {
                            targets: [0],
                            checkboxes: {
                                selectRow: true
                            }
                        },
                    ],
                    order: [
                        [1, 'desc']
                    ],
                    columns: [
                        {
                            name: 'checkbox',
                            data: 'checkbox'
                        },
                        {
                            data: 'order_data',
                            name: 'order_data'
                        }
                    ]
                });
            }

            loadOrderManagementTable(selectedStatusIds);

            $("#searchbar").keyup(function() {
                orderManagementTable.search(this.value).draw();
            });

            const loadOrderStatusList = (parentStatusId) => {
                $.ajax({
                    url: getOrderStatusUrl,
                    type: "POST",
                    data: {
                        parentStatusId: parentStatusId,
                        customerType: customerType,
                    },
                    dataType: 'json',
                    success: function (result) {
                        $('#order-status-filter').html('<option disabled value="0">- Select Status -</option>');

                        $.each(result.orderStatusCounts, function (key, value) {
                            $("#order-status-filter").append('<option value="' + value.id + '">' + value.text + ' (' + value.count + ')</option>');
                        });
                    }
                });
            }


            $(document).on('click', '#batch_print', function() {
                var rows_selected = orderManagementTable.column(0).checkboxes.selected();

                var arr = [];
                $.each(rows_selected, function(index, rowId){
                    arr[index]=rowId;
                });

                if(arr.length === 0){
                    alert("Please Select Order ID");
                    return;
                }

                $('#order_ids_input_array').val( arr );

                $("#__modalBatchPrint").doModal('open');

                $("#total_orders_print").text('You have selected total '+arr.length+' shipments.');
            });

            $('#__btnCancelCreatePrintBulk').on('click', function() {
                $('.alert').addClass('hidden');
                $('#__alertDangerContentCreatePrintBulk').html(null);

                $('#__modalBatchPrint').doModal('close');
            });

            const productsOrdered = (el) => {
                const orderId = el.getAttribute('data-order-id');
               

                $('#__orderIdOutputProductsOrder').html(`#${orderId}`);

                $('#__tblProductProductsOrder').DataTable().destroy();
                const productTable = $('#__tblProductProductsOrder').DataTable({
                    ajax: {
                        type: 'GET',
                        url: OrderedProductDataUrl,
                        data: {
                            orderId: orderId,
                        }
                    },
                    columnDefs : [
                        {
                            targets: [0],
                            orderable: false
                        },
                        {
                            targets: [1],
                            className: 'text-left'
                        }
                    ],
                    paging: false,
                    filter : false,
                    info : false,
                });


                productTable.on('draw', function() {
                    const { recordsTotal } = productTable.page.info();
                    totalDodoProductsOrdered = recordsTotal;

                    if (recordsTotal > 0) {
                        $('#__actionButtonWrapperProductsOrder').removeClass('hidden');
                    }
                });

                $('#__modalProductsOrdered').doModal('open');



                $('#__tblServices').DataTable().destroy();
                const serviceTable = $('#__tblServices').DataTable({
                    ajax: {
                        type: 'GET',
                        url: servicesDataUrl,
                        data: {
                            orderId: orderId,
                        }
                    },
                    columnDefs : [
                        {
                            targets: [0],
                            orderable: false
                        },
                        {
                            targets: [1],
                            className: 'text-left'
                        }
                    ],
                    paging: false,
                    filter : false,
                    info : false,
                });

                serviceTable.on('draw', function() {
                    const { recordsTotal } = serviceTable.page.info();
                    totalDodoProductsOrdered = recordsTotal;

                    if (recordsTotal > 0) {
                        $('#__actionButtonWrapperProductsOrder').removeClass('hidden');
                    }
                });

                $('#__modalProductsOrdered').doModal('open');
            }

            $('.__btnCloseModalProductsOrder').on('click', function() {
                $('#__modalProductsOrdered').doModal('close');
            });

            $('.__btnCancelModalAddress').on('click', function() {
                $('#__modalShippingAddress').doModal('close');
            });

            $(document).on('click', '.BtnDelete', function() {
                let drop = confirm('Are you sure?');

                if (drop) {
                    $.ajax({
                        url: orderManagementDeleteUrl,
                        type: 'post',
                        data: {
                            'id': $(this).data('id'),
                            '_token': $('meta[name=csrf-token]').attr('content')
                        }
                    }).done(function(result) {
                        if (result.status === 1) {
                            alert('Order deleted successfully');

                            loadOrderManagementTable(selectedStatusIds);
                            loadStatusList();

                        } else {
                            alert(result.message);

                        }
                    });
                }
            });

            $(document).on('click', '.BtnCancel', function() {
                let drop = confirm('Are you sure to CANCEL this order?');
                if (drop) {
                    $.ajax({
                        type: 'POST',
                        url: orderManagementCancelUrl,
                        data: {
                            'id': $(this).data('id'),
                            '_token': $('meta[name=csrf-token]').attr('content')
                        }
                    }).done(function(result) {
                        if (result.status === 1) {
                            alert('Order cancelled successfully');

                            loadOrderManagementTable(selectedStatusIds);
                            loadStatusList();

                        } else {
                            alert(result.message);

                        }
                    });
                }
            });

    

            $(document).on('click', '#confirmPayment', function() {
                $("#confirmPaymentModal").modal('show');
                var order_id = $(this).data('id');

                //var order_id = $(this).attr('order-id');
                $("#order_id_confirm_payment").val(order_id);

                $.ajax
                ({
                    type: 'GET',
                    data: {order_id:order_id},
                    url: '{{url('getOrderPaymentDetails')}}',
                    success: function(result)
                    {
                        console.log(result);
                        // alert(result.payment_slip);
                        var payment_slip = '/'+result.payment_slip;
                        var paymentReceiptPath = $("#payment-receipt-path").val();
                        var noImgPath = $("#no-img-path").val();

                        $("#total_amount").text('Tk.'+result.amount);
                        $("#bank_payment_date").text(result.payment_date);
                        $("#bank_payment_time").text(result.payment_time);
                        $("#payment_slip").text('');
                        if(result.payment_slip){
                            $("#payment_slip").append('<img class="margin_top_10 border_1" width="100%" src="'+paymentReceiptPath+payment_slip+'">');
                            
                        }
                        else{
                            $("#payment_slip").append('<img class="margin_top_10 border_1" width="100%" src="'+noImgPath+'">');
                        }
                        
                    }
                });
            });

            function confirmPaymentBtn(){

                var result = confirm("Are you Sure?");
                if (result) {
                    var order_id = $("#order_id_confirm_payment").val();
                    $.ajax
                    ({
                        type: 'POST',
                        data: {order_id:order_id},
                        url: '{{url('confirmPaymentForOrder')}}',
                        success: function(result)
                        {
                            if(result === 'ok'){
                                $("#confirmPaymentModal").modal('hide');
                                alert("Payment has been successfully confirmed");
                                window.location.href = "{{ url('order_management')}}";
                            }
                        }
                    });
                }
            }


            $('.__btnCloseModalPackOrder').on('click', function() {
                $('#__modalPackOrder').doModal('close');
                $('#__actionButtonWrapperPackOrder').addClass('hidden');
            });



            const updateStatus = (el) => {
                const shipmentId = el.getAttribute('data-shipment-id');
                const orderId = el.getAttribute('data-order-id');
                var selectedStatus = $("#order-status-filter").val();
                $("#shipment-status option[value=" + selectedStatus + "]").attr('disabled', true);

                $('#__btnConfirmUpdateStatus').attr('data-id', shipmentId);

                $('#__modalUpdateShipmentStatus').doModal('open');
            }

            $('.__btnCloseModalUpdateStatus').on('click', function() {
                $('#__modalUpdateShipmentStatus').doModal('close');
                $("#shipment-status").val(0);
                $("#shipment-status option").removeAttr('disabled');
                $("#shipment-status option[value='0']").attr('disabled', true);
            });



            // for update status from Processed Order status
            const updateStatusForProcessed = (el) => {
                const shipmentId = el.getAttribute('data-shipment-id');
                const orderId = el.getAttribute('data-order-id');
                var selectedStatus = $("#order-status-filter").val();
                $("#shipment-status option[value=" + selectedStatus + "]").attr('disabled', true);

                $('#__btnConfirmUpdateStatusForProcessed').attr('data-id', orderId);

                $('#__modalUpdateShipmentStatusForProcessed').doModal('open');
            }


            $('.__btnCloseModalUpdateStatusForProcessed').on('click', function() {
                $('#__modalUpdateShipmentStatusForProcessed').doModal('close');
                $("#shipment-status").val(0);
                $("#shipment-status option").removeAttr('disabled');
                $("#shipment-status option[value='0']").attr('disabled', true);
            });

  

            $(document).on('click', '#editOrder', function() {
                var order_id = $(this).data('id');
                var order_status = $(this).attr('order-status-id');

                // alert(order_status);
                if(order_status === '3'  || order_status === '4' || order_status === '5'){
                    $("#order_locked").modal('show');
                }
                else{
                    $("#order_locked").modal('hide');
                    var url = "{{ url('/order_management/') }}";
                    window.location.href = url+'/'+order_id+'/edit';
                }
            });

        </script>

        <script src="{{ asset('pages/seller/order_management/index/status_filter.js?_=' . rand()) }}"></script>
        <script src="{{ asset('js/orderManagementJs.js') }}"></script>
    @endpush

</x-app-layout>
