@csrf
<div class="px-5 py-4">
    <div class="text-sm">
        <div id='msg-success' class="font-medium text-green-700  dark:text-green-700 mb-3">
        </div>
        <ul id="error-list" class="text-red-500 mb-3"></ul>
    </div>

    <div class="space-y-3">
        <div class="w-full grid gap-5 md:grid-cols-4">

            <div>
                <label class="block text-sm font-medium mb-1" for="brand_id">Brand Name
                    <span class="text-red-500">*</span></label>
                <select id="brand_id" name="brand_id" class="form-select w-full px-2 py-1">
                    <option value="">Select Brand</option>
                    @php $i=0; @endphp
                    @foreach ($brands as $brand)
                        <option @if($i==0) selected @endif value="{{ $brand->id }}" {{ old('brand_id') == $brand->id ? 'selected' : '' }}> {{ $brand->name }} </option>
                    @php $i++; @endphp
                    @endforeach
                </select>
            </div>

            <div>
                <label class="block text-sm font-medium mb-1" for="model_id">Model
                    <span class="text-red-500">*</span></label>
                <select id="model_id" name="model_id" class="form-select chosen-select w-full px-2 py-1">
                    <option value="">Select Model</option>
                    @php $i=0; @endphp
                    @foreach ($models as $model)
                        <option value="{{ $model->id }}" {{ old('model_id') == $model->id ? 'selected' : '' }}> {{ $model->name }} </option>
                    @php $i++; @endphp
                    @endforeach
                </select>
            </div>

            <div>
                <label class="block text-sm font-medium mb-1" for="chassis_no">Chassis No
                    <span class="text-red-500">*</span></label>
                <input id="chassis_no" name="chassis_no" value='' class="form-input w-full px-2 py-1" type="text" />
            </div>

            <div>
                <label class="block text-sm font-medium mb-1" for="engine_no">Engine No
                    <span class="text-red-500">*</span></label>
                <input id="engine_no" name="engine_no" value='' class="form-input w-full px-2 py-1" type="text" />
            </div>
        </div>

        @php
        function createUrlSlug($urlString) {
        $slug = preg_replace('/[^A-Za-z0-9-]+/', '_', $urlString);
        return strtolower($slug); }
        @endphp

        <div class="w-full grid gap-5 md:grid-cols-5">
            @if(!empty($features))
            @foreach($features as $feature)
            @if($feature->status>0)
            <div class="mb-0">
                <x-label>
                    {{ $feature->name }}
                </x-label>
                @php
                $field_name = createUrlSlug($feature->name);
                @endphp
                <input type="text" class="form-input w-full px-2 py-1" name="features[{{$field_name}}]"
                    id="{{$field_name}}" value="{{ old('features.' . $field_name) }}" />
            </div>
            @endif
            @endforeach

            @endif
        </div>



        <div class="flex flex-row items-center justify-between mb-2">
            <h2 class="block whitespace-nowrap text-black-500 text-base font-bold">
                Dimensions (mm)
            </h2>
            <hr class="w-full ml-3 relative -top-1 border border-r-0 border-b-0 border-l-0 border-black-300">
        </div>

        <div class="w-full grid gap-5 md:grid-cols-3">
            <div class="mb-5">
                <x-label>
                    Overall Length (mm):
                </x-label>
                <input type="text" name="dimensions[overall_length]" id="overall_length" class="form-input w-full px-2 py-1"
                    value="{{ old('dimensions.overall_length') }}" />
            </div>

            <div class="mb-5">
                <x-label>
                    Overall Width (mm):
                </x-label>
                <input type="text" name="dimensions[overall_width]" id="overall_width" class="form-input w-full px-2 py-1"
                    value="{{ old('dimensions.overall_width') }}" />
            </div>

            <div class="mb-5">
                <x-label>
                    Overall Height (mm):
                </x-label>
                <input type="text" name="dimensions[overall_height]" id="overall_height"  class="form-input w-full px-2 py-1"
                    value="{{ old('dimensions.overall_height') }}" />
            </div>
        </div>


        <div class="flex flex-row items-center justify-between mb-2">
            <h2 class="block whitespace-nowrap text-black-500 text-base font-bold">
                Overhangs (%)
            </h2>
            <hr class="w-full ml-3 relative -top-1 border border-r-0 border-b-0 border-l-0 border-black-300">
        </div>

        <div class="w-full grid gap-5 md:grid-cols-3">
            <div class="mb-5">
                <x-label>
                    Front:
                </x-label>
                <input type="text" name="overhangs[front]" id="front" class="form-input w-full px-2 py-1" value="{{ old('overhangs.front') }}" />
            </div>

            <div class="mb-5">
                <x-label>
                    Rear:
                </x-label>
                <input type="text" name="overhangs[rear]" id="rear" class="form-input w-full px-2 py-1" value="{{ old('overhangs.rear') }}" />
            </div>

            <div class="mb-5">
                <x-label>
                    Other:
                </x-label>
                <input type="text" name="overhangs[other]" id="other" class="form-input w-full px-2 py-1" value="{{ old('overhangs.other') }}" />
            </div>
        </div>
        
        <div class="w-full grid gap-5 md:grid-cols-3">
            <div>
                <label class="block text-sm font-medium mb-1" for="price">Price
                    <span class="text-red-500">*</span></label>
                <input id="price" name="price" value="" class="form-input w-full px-2 py-1" type="text" />
            </div>
        </div>
    </div>
</div>
<!-- Modal footer -->
<div class="px-5 py-4 border-t border-gray-200 dark:border-gray-700/60">
    <div class="flex flex-wrap justify-end space-x-2">
        <button
            class="__closeModal btn-sm border-gray-200 dark:border-gray-700/60 hover:border-gray-300 dark:hover:border-gray-600 text-gray-800 dark:text-gray-300">Cancel</button>
        <button type="submit"
            class="btn-sm bg-gray-900 text-gray-100 hover:bg-gray-800 dark:bg-gray-100 dark:text-gray-800 dark:hover:bg-white">Save</button>
    </div>
</div>

<script>
$(".chosen-select").chosen({no_results_text: "Oops, nothing found!"}); 
</script>