<?php echo csrf_field(); ?>
<div class="px-5 py-4">
    <div class="text-sm">
        <div id='msg-success' class="font-medium text-green-700  dark:text-green-700 mb-3">
        </div>
        <ul id="error-list" class="text-red-500 mb-3"></ul>
    </div>

    <div class="space-y-3">
        <div class="w-full grid gap-5 md:grid-cols-4">

            <div>
                <label class="block text-sm font-medium mb-1" for="brand_id">Brand Name
                    <span class="text-red-500">*</span></label>
                <select id="brand_id" name="brand_id" class="form-select w-full px-2 py-1">
                    <option value="">Select Brand</option>
                    <?php $i=0; ?>
                    <?php $__currentLoopData = $brands; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $brand): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option <?php if($i==0): ?> selected <?php endif; ?> value="<?php echo e($brand->id); ?>" <?php echo e(old('brand_id') == $brand->id ? 'selected' : ''); ?>> <?php echo e($brand->name); ?> </option>
                    <?php $i++; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>

            <div>
                <label class="block text-sm font-medium mb-1" for="model_id">Model
                    <span class="text-red-500">*</span></label>
                <select id="model_id" name="model_id" class="form-select chosen-select w-full px-2 py-1">
                    <option value="">Select Model</option>
                    <?php $i=0; ?>
                    <?php $__currentLoopData = $models; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $model): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($model->id); ?>" <?php echo e(old('model_id') == $model->id ? 'selected' : ''); ?>> <?php echo e($model->name); ?> </option>
                    <?php $i++; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>

            <div>
                <label class="block text-sm font-medium mb-1" for="chassis_no">Chassis No
                    <span class="text-red-500">*</span></label>
                <input id="chassis_no" name="chassis_no" value='' class="form-input w-full px-2 py-1" type="text" />
            </div>

            <div>
                <label class="block text-sm font-medium mb-1" for="engine_no">Engine No
                    <span class="text-red-500">*</span></label>
                <input id="engine_no" name="engine_no" value='' class="form-input w-full px-2 py-1" type="text" />
            </div>
        </div>

        <?php
        function createUrlSlug($urlString) {
        $slug = preg_replace('/[^A-Za-z0-9-]+/', '_', $urlString);
        return strtolower($slug); }
        ?>

        <div class="w-full grid gap-5 md:grid-cols-5">
            <?php if(!empty($features)): ?>
            <?php $__currentLoopData = $features; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $feature): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php if($feature->status>0): ?>
            <div class="mb-0">
                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => []]); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                    <?php echo e($feature->name); ?>

                 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                <?php
                $field_name = createUrlSlug($feature->name);
                ?>
                <input type="text" class="form-input w-full px-2 py-1" name="features[<?php echo e($field_name); ?>]"
                    id="<?php echo e($field_name); ?>" value="<?php echo e(old('features.' . $field_name)); ?>" />
            </div>
            <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            <?php endif; ?>
        </div>



        <div class="flex flex-row items-center justify-between mb-2">
            <h2 class="block whitespace-nowrap text-black-500 text-base font-bold">
                Dimensions (mm)
            </h2>
            <hr class="w-full ml-3 relative -top-1 border border-r-0 border-b-0 border-l-0 border-black-300">
        </div>

        <div class="w-full grid gap-5 md:grid-cols-3">
            <div class="mb-5">
                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => []]); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                    Overall Length (mm):
                 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                <input type="text" name="dimensions[overall_length]" id="overall_length" class="form-input w-full px-2 py-1"
                    value="<?php echo e(old('dimensions.overall_length')); ?>" />
            </div>

            <div class="mb-5">
                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => []]); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                    Overall Width (mm):
                 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                <input type="text" name="dimensions[overall_width]" id="overall_width" class="form-input w-full px-2 py-1"
                    value="<?php echo e(old('dimensions.overall_width')); ?>" />
            </div>

            <div class="mb-5">
                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => []]); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                    Overall Height (mm):
                 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                <input type="text" name="dimensions[overall_height]" id="overall_height"  class="form-input w-full px-2 py-1"
                    value="<?php echo e(old('dimensions.overall_height')); ?>" />
            </div>
        </div>


        <div class="flex flex-row items-center justify-between mb-2">
            <h2 class="block whitespace-nowrap text-black-500 text-base font-bold">
                Overhangs (%)
            </h2>
            <hr class="w-full ml-3 relative -top-1 border border-r-0 border-b-0 border-l-0 border-black-300">
        </div>

        <div class="w-full grid gap-5 md:grid-cols-3">
            <div class="mb-5">
                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => []]); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                    Front:
                 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                <input type="text" name="overhangs[front]" id="front" class="form-input w-full px-2 py-1" value="<?php echo e(old('overhangs.front')); ?>" />
            </div>

            <div class="mb-5">
                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => []]); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                    Rear:
                 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                <input type="text" name="overhangs[rear]" id="rear" class="form-input w-full px-2 py-1" value="<?php echo e(old('overhangs.rear')); ?>" />
            </div>

            <div class="mb-5">
                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => []]); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                    Other:
                 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                <input type="text" name="overhangs[other]" id="other" class="form-input w-full px-2 py-1" value="<?php echo e(old('overhangs.other')); ?>" />
            </div>
        </div>
        
        <div class="w-full grid gap-5 md:grid-cols-3">
            <div>
                <label class="block text-sm font-medium mb-1" for="price">Price
                    <span class="text-red-500">*</span></label>
                <input id="price" name="price" value="" class="form-input w-full px-2 py-1" type="text" />
            </div>
        </div>
    </div>
</div>
<!-- Modal footer -->
<div class="px-5 py-4 border-t border-gray-200 dark:border-gray-700/60">
    <div class="flex flex-wrap justify-end space-x-2">
        <button
            class="__closeModal btn-sm border-gray-200 dark:border-gray-700/60 hover:border-gray-300 dark:hover:border-gray-600 text-gray-800 dark:text-gray-300">Cancel</button>
        <button type="submit"
            class="btn-sm bg-gray-900 text-gray-100 hover:bg-gray-800 dark:bg-gray-100 dark:text-gray-800 dark:hover:bg-white">Save</button>
    </div>
</div>

<script>
$(".chosen-select").chosen({no_results_text: "Oops, nothing found!"}); 
</script><?php /**PATH D:\laravel\bike.siyamtrade.com\resources\views/seller/product/form-insert-modal-product.blade.php ENDPATH**/ ?>