
<style>
    .customerDetails {
        display: flex;
        justify-content: space-between;
    }
    .table thead th {
        vertical-align: bottom;
        border: 1px solid #2c3545;
        background: #0c1830;
        color: #e1d492;
    }
    .table td {
        vertical-align: middle;
        border: 1px solid #2c3545;
        position: relative;
        padding: 0.15rem .75rem;
        color: #3f3d3d;
    }
</style>


<div class="px-5 py-4">
    <div class="text-sm">
        <div id='msg-success' class="font-medium text-green-700  dark:text-green-700 mb-3">
        </div>
        <ul id="error-list" class="text-red-500 mb-3"></ul>
    </div>
<div class="px-0 pb-4">
<div class="flex flex-wrap justify-between items-end gap-y-2 gap-x-4">
            <div class="text-gray-500 dark:text-gray-500 font-semibold text-left"><?php echo e($purchase->supplier->supplier_name); ?></div>
            <div class="text-gray-500 dark:text-gray-500 font-semibold text-left">
                <strong>Date :</strong><span class="text-sm text-gray-500 align-middle"> <?php echo e($purchase->order_date); ?></span>
            </div>            
            </div>
    <div class="flex flex-wrap justify-between items-end gap-y-2 gap-x-4">
        <div id="dashboard-card-08-legend" class="grow mb-1">
            
            

            <?php if($purchase->supplier->phone): ?>
                <div class="text-gray-500 dark:text-gray-500 font-semibold text-left">
                    <span class='text-xs italic text-gray-500 align-middle'><?php echo e($purchase->supplier->phone); ?></span>
                </div>
            <?php endif; ?>
            <?php if($purchase->supplier->address): ?>
                <div class="text-gray-500 dark:text-gray-500 font-semibold text-left">
                <span class='text-xs italic text-gray-500 align-middle'><?php echo e($purchase->supplier->address); ?></span>
                </div>
            <?php endif; ?>
        </div>
        <div class="flex items-start">
            <div class="modal-purchase-total text-2xl font-bold text-gray-800 dark:text-gray-100 mr-2">৳<?php echo e(App\Http\Controllers\SettingController::takaBDFormat($purchase->in_total)); ?> </div>           
        </div>
    </div>
</div>
<div class="space-y-3">
    <div class="invoice" id="invoice-container">
        <table id="table" class="table table-striped w-full">
            <thead>
            <tr>
                <th class="hide-elements" style="width: 20px;">#</th>
                <th class="text-left">Name</th>           
                <th style="width: 82px;">Quntity</th>                
                <th>Price</th> 
                <th style="width: 82px;">Total</th> 
            </tr>
            </thead>
            
            <tbody id="__productListWrapper">
                    <?php $subTotal = 0; ?>
                    <?php if($purchase->purchase_details): ?>
                        <?php $__currentLoopData = $purchase->purchase_details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        
                            <tr>
                                <td class="index">
                                    <?php echo e($loop->iteration); ?>

                                </td>
                                <td>
                                <p class="font-bold m-0"> 
                                    <?php echo e($item->product->product_code); ?> 
                                </p>
                                
                                </td>
                                <td class="text-center">
                                <?php echo e($item->quantity); ?> 
                                </td>

                                <td class="text-center">
                                <?php echo e(App\Http\Controllers\SettingController::takaBDFormat($item->cost_price)); ?> 
                                </td>

                                <td class="text-center">
                                <?php echo e(App\Http\Controllers\SettingController::takaBDFormat($item->quantity*$item->cost_price)); ?> 
                                </td>
                    
                            </tr>
                            <?php $subTotal += $item->quantity*$item->cost_price; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <tr style="background: #9fe0e3;">
                                <td class="index font-bold" colspan=4>
                                    Total
                                </td>

                                <td class="text-center font-bold">
                                    <?php echo e(App\Http\Controllers\SettingController::takaBDFormat($subTotal)); ?> 
                                </td>
                                
                    
                            </tr>
                    <?php endif; ?>
           
            </tbody>

        </table>
    </div>
    
    <?php if($purchase->extra_charge_total): ?>
        <div class="invoice" id="invoice-container">
            <div class="text-gray-500 dark:text-gray-500 font-semibold text-left">Other Cost</div>
            <table id="table" class="extra_charges_table table table-striped w-full">
                <thead>
                <tr>
                    <th class="hide-elements" style="width: 20px;">#</th>
                    <th class="text-left">Name</th>
                    <th style="width: 82px;">Total</th> 
                </tr>
                </thead>
                <tbody id="__productListWrapper">
                    <?php $__currentLoopData = $purchase->extra_charges; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td class="index">
                                <?php echo e($loop->iteration); ?>

                            </td>
                            <td>
                                <p class="font-bold m-0"> 
                                    <?php echo e($item->name); ?> 
                                </p>
                            </td>

                            <td class="text-center">
                            <?php echo e(App\Http\Controllers\SettingController::takaBDFormat($item->price)); ?> 
                            </td>
                
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td class="index font-bold" colspan=2>
                            Total
                        </td>

                        <td class="text-center font-bold">
                        <?php echo e(App\Http\Controllers\SettingController::takaBDFormat($purchase->extra_charge_total)); ?> 
                        </td>
                    </tr>
                </tbody>

            </table>
        </div>
    <?php endif; ?>


</div>
</div>
<!-- Modal footer -->
<div class="px-5 py-4 border-t border-gray-200 dark:border-gray-700/60">
<div class="flex flex-wrap justify-end space-x-2">
    <button class="__closeModal btn-sm bg-gray-900 text-gray-100 hover:bg-gray-800 dark:bg-gray-100 dark:text-gray-800 dark:hover:bg-white">Cancel</button>
</div>
</div>
<?php /**PATH E:\bike.siyamtrade.com\resources\views/seller/purchases/form-view-modal-purchase.blade.php ENDPATH**/ ?>